input {
    margin:0;
    padding:0;
    border:0;
    outline:0;
    font-size: 100%;
    vertical-align:baseline;
    background:transparent;
}

.main{
    background: #F7F7FD;
}

.reviews{
    padding: 24px 0 52px;
    background: #F7F7FD;
}

.reviews__title{
    font-weight: 700;
    font-size: 28px;
    line-height: 34px;
    text-align: center;
    margin-bottom: 30px;
}

.reviews__title span{
    color: #0848C9;
}

.reviews__list{
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 32px;
}

.feedback__item-wrapper{
    background-color: #FFFFFF;
    padding: 16px 24px;
    border-radius: 16px;
    box-shadow: 0 0 10px 0 rgba(192, 192, 192, 0.25);
    /*height: fit-content;*/
}

.feedback__award{
    margin-top: 8px;
    font-size: 12px;
    line-height: 26px;
    color: #000000;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    flex-direction: column;
    -webkit-box-align: start;
    -ms-flex-align: start;
    align-items: start;
    -webkit-box-pack: start;
    -ms-flex-pack: start;
    justify-content: start;
}

.feedback__line{
    width: 60px;
    margin: 8px 0;
}

.feedback__text{
    margin-top: 8px;
    font-size: 12px;
    line-height: 16px;
}

.check__review, .close__review{
    font-weight: 700;
    color: #0848C9;
    cursor: pointer;
}

.close__review, .feedback__item-text-hidden{
    display: none;
}

.feedback__item-footer{
    margin-top: 8px;
}

.review__text{
    display: none;
}

.feedback__item-title{
    font-weight: 400;
    font-size: 18px;
    line-height: 26px;
    color: #000000;
}

.feedback__name{
    font-weight: 700;
    font-size: 14px;
    line-height: 22px;
    color: #000000;
}

.feedback__company-name{
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: start;
    -ms-flex-pack: start;
    justify-content: start;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    gap: 4px;
    font-weight: 700;
    font-size: 14px;
    line-height: 26px;
}

.reviews__btn{
    display: block;
    margin: 30px auto 0;
    font-weight: 700;
    font-size: 14px;
    line-height: 20px;
    color: #0848C9;
}

.feedback__award span {
    display: inline-block;
    font-size: 12px;
    line-height: 26px;
}

.feedback__award img{
    max-width: 100px;
}

.reviews__mobile{
    display: none;
}

.feedback__text--active .feedback__item-dot{
    display: none;
}

.feedback__text--active .feedback__item-text-hidden{
    display: inline;
}

.form{
    background: #F7F7FD;
    padding-bottom: 90px;
}

.form___wrapper{
    background: #fff;
    padding: 72px;
    border-radius: 18px;
    box-shadow: 0 0 10px 0 rgba(192, 192, 192, 0.25)
}

.form__title{
    margin-bottom: 32px;
    text-align: center;
    color:  #262626;
    font-size: 28px;
    font-weight: 700;
    line-height: 34px;
}

.form__title span{
    color: #0848C9;
}

.form__content{
    padding: 0;
    margin: 0 auto;
    max-width: 500px;
}

.input-fields {
    position: relative;
    width: 100%;
    height: 56px;
    border-radius: 6px;
    border: 1px solid #DAE2EC;
    background-color: #F7F7FD;
    cursor: text;
}
.custom_input{
    width: 93%;
    position: absolute;
    bottom: 10px;
    left: 12px;
}
.custom_input::placeholder{
    color: #F7F7FD;
}
.custom_input:focus::placeholder{
    color: #8799B2;
}
.custom_input:focus{
    position: absolute;
    bottom: 10px;
}
.custom_input:focus + .custom_placeholder{
    top: 5px;
    font-size: 12px;
    background-color: transparent;
}
.custom_input:not(:placeholder-shown) + .custom_placeholder{
    top: 5px;
    font-size: 12px;
}
.custom_placeholder{
    position: absolute;
    top: 18px;
    left: 12px;
    font-size: 16px;
    font-weight: 400;
    line-height: 20px;
    letter-spacing: 0;
    pointer-events: none;
    color: #8799B2;
}
.input-fields.is-invalid{
    background-color: #FAE4E4;
    border: 1px solid #F93939;
    margin-bottom: 0;
}
.input-fields.is-invalid .custom_input::placeholder{
    color: #FAE4E4;
}
.input-fields.is-invalid .custom_placeholder{
    color: #F93939;
}

.input-fields.is-invalid  .custom_input:focus::placeholder{
    color: #F93939;
}

.input-error{
    position: absolute;
    bottom: -20px;
    left: 5px;
    visibility: hidden;
    pointer-events: none;
    color: #F93939;
    font-size: 12px;
    font-weight: 400;
    line-height: 16px;
}

.is-invalid .input-error{
    visibility: visible;
    pointer-events: auto;
}

.form__content{
    display: grid;
    grid-template-columns: 1fr;
    gap: 32px;
}

.textarea-fields{
    position: relative;
}

.custom_textarea{
    min-height: 120px;
    padding: 13px 12px;
    border-radius: 6px;
    border: 1px solid #DAE2EC;
    background: #F7F7FD;
    font-size: 16px;
    line-height: 20px;
    box-sizing: border-box;
    width: 100%;
    height: 100%;
}

.custom_textarea::placeholder{
    color: #8799B2;
}

.textarea-fields.is-invalid .custom_textarea{
    background-color: #FAE4E4;
    border: 1px solid #F93939;
}

.textarea-fields.is-invalid .custom_textarea::placeholder{
    color: #F93939;
}

.form__btn-add{
    padding: 16px 0;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    border-radius: 6px;
    background: #0848C9;
    color: #FFF;
    text-align: center;
    font-size: 16px;
    font-weight: 700;
    line-height: 20px;
    border: 1px solid transparent;
    transition:  all 0.3s;
}

.form__btn-add:hover{
    background: #FFFFFF;
    color: #0848C9;
    border: 1px solid #0848C9;
}

.rating{
    display: flex;
    justify-content: start;
    align-items: center;
    gap: 16px;
    position: relative;
}

.rating__title{
    color: #262626;
    font-size: 20px;
    font-weight: 600;
    line-height: 20px;
}

.simple-rating{
    position: relative;
    font-size: 24px;
    display: inline-block;
}

.simple-rating::before{
    content: '★★★★★';
    display: block;
}

.simple-rating__items{
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    display: flex;
    flex-direction: row-reverse;
    overflow: hidden;
}

.simple-rating__item{
    position: absolute;
    width: 0;
    height: 0;
    top: 0;
    left: 0;
    opacity: 0;
    visibility: hidden;
}

.simple-rating__label{
    height: 100%;
    cursor: pointer;
    color: #DBDCE0;
}

.simple-rating__label::before{
    content: '★';
    display: block;
    transition: all 0.3s;
}

.simple-rating__item:checked,
.simple-rating__item:checked ~ .simple-rating__label{
    color: #FBBC04;
}

.simple-rating__label:hover,
.simple-rating__label:hover ~ .simple-rating__label,
.simple-rating__label:checked ~ .simple-rating__label:hover{
    color: #FBBC04;
}



@media(max-width: 1095px){
    .reviews__list{
        grid-template-columns: repeat(3, 1fr);
    }
}


@media(max-width: 815px){
    .reviews__list{
        grid-template-columns: repeat(2, 1fr);
    }
}

@media(max-width: 590px){
    .reviews__list{
        grid-template-columns: repeat(1, 1fr);
    }

    .form{
        padding-bottom: 42px;
    }

    .form___wrapper{
        padding: 24px 16px;
    }

    .form__title{
        font-size: 16px;
        line-height: 20px;
        text-align: start;
    }

    .custom_textarea{
        padding: 10px;
        height: 80px;
    }

    .form__content{
        padding: 0;
    }

    .form__title{
        padding: 0;
        margin: 0;
    }

    .reviews__title{
        text-align: left;
        font-size: 20px;
    }
    .route{
        margin-bottom: 16px;
    }
    .breadcrumbs_page--parent, .breadcrumbs_page{
        font-size: 12px;

    }
}

/*@media(min-width: 1921px){*/
/*    .reviews{*/
/*        padding: 1.25vw 0 2.71vw;*/
/*    }*/

/*    .reviews__title{*/
/*        font-size: 1.46vw;*/
/*        line-height: 1.77vw;*/
/*        margin-bottom: 1.56vw;*/
/*    }*/

/*    .reviews__list{*/
/*        gap: 1.67vw;*/
/*    }*/

/*    .feedback__item-wrapper{*/
/*        padding: 0.83vw 1.25vw;*/
/*        border-radius: 0.83vw;*/
/*        box-shadow: 0 0 0.52vw 0 rgba(192, 192, 192, 0.25);*/
/*    }*/

/*    .feedback__award{*/
/*        margin-top: 0.42vw;*/
/*        font-size: 0.63vw;*/
/*        line-height: 1.35vw;*/
/*    }*/

/*    .feedback__award img{*/
/*        width: 5.625vw;*/
/*        height: 1.04vw;*/
/*    }*/

/*    .feedback__company-name img{*/
/*        width: 0.83vw;*/
/*        height: 0.83vw;*/
/*    }*/

/*    .feedback__line img{*/
/*        width: 3.13vw;*/
/*        margin: 0.42vw 0;*/
/*    }*/

/*    .feedback__text,*/
/*    .feedback__text span{*/
/*        margin-top: 0.42vw;*/
/*        font-size: 0.63vw;*/
/*        line-height: 0.83vw;*/
/*    }*/

/*    .feedback__item-footer{*/
/*        margin-top: 0.42vw;*/
/*    }*/

/*    .feedback__item-title{*/
/*        font-size: 0.94vw;*/
/*        line-height: 1.35vw;*/
/*    }*/

/*    .feedback__name{*/
/*        font-size: 0.73vw;*/
/*        line-height: 1.15vw;*/
/*    }*/

/*    .feedback__company-name{*/
/*        gap: 0.21vw;*/
/*        font-size: 0.73vw;*/
/*        line-height: 1.35vw;*/
/*    }*/

/*    .reviews__btn{*/
/*        margin: 1.56vw auto 0;*/
/*        font-size: 0.73vw;*/
/*        line-height: 1.04vw;*/
/*    }*/

/*    .feedback__award span {*/
/*        font-size: 0.63vw;*/
/*        line-height: 1.35vw;*/
/*    }*/

/*    .feedback__award img{*/
/*        max-width: 5.21vw;*/
/*    }*/

/*    .form{*/
/*        padding-bottom: 4.68vw;*/
/*    }*/

/*    .form___wrapper{*/
/*        padding: 3.75vw;*/
/*        border-radius: 0.94vw;*/
/*        box-shadow: 0 0 0.52vw 0 rgba(192, 192, 192, 0.25)*/
/*    }*/

/*    .form__title{*/
/*        margin-bottom: 1.67vw;*/
/*        font-size: 1.46vw;*/
/*        line-height: 1.77vw;*/
/*    }*/

/*    .form__content{*/
/*        max-width: 26.04vw;*/
/*    }*/

/*    .input-fields {*/
/*        height: 2.92vw;*/
/*        border-radius: 0.31vw;*/
/*        border: 0.05vw solid #DAE2EC;*/
/*    }*/
/*    .custom_input{*/
/*        bottom: 0.52vw;*/
/*        left: 0.63vw;*/
/*    }*/
/*    .custom_input:focus{*/
/*        bottom: 0.52vw;*/
/*    }*/
/*    .custom_input:focus + .custom_placeholder{*/
/*        top: 0.26vw;*/
/*        font-size: 0.63vw;*/
/*    }*/
/*    .custom_input:not(:placeholder-shown) + .custom_placeholder{*/
/*        top: 0.26vw;*/
/*        font-size: 0.63vw;*/
/*    }*/
/*    .custom_placeholder{*/
/*        top: 0.94vw;*/
/*        left: 0.63vw;*/
/*        font-size: 0.83vw;*/
/*        line-height: 1.04vw;*/
/*    }*/

/*    .error_custom_input{*/
/*        border: 0.05vw solid #F93939;*/
/*    }*/

/*    .validation_error_txt_hint{*/
/*        font-size: 0.63vw;*/
/*        line-height: 0.83vw;*/
/*        margin-bottom: 1.25vw;*/
/*        margin-top: 0.31vw;*/
/*    }*/
/*    .valid_input_img{*/
/*        width: 1.04vw;*/
/*        height: 1.04vw;*/
/*        top: 0.94vw;*/
/*        right: 0.63vw;*/
/*    }*/

/*    .form__content{*/
/*        gap: 1.67vw;*/
/*    }*/

/*    .custom_textarea{*/
/*        padding: 0.52vw 0.63vw;*/
/*        min-height: 6.25vw;*/
/*        border-radius: 0.31vw;*/
/*        border: 0.05vw solid #DAE2EC;*/
/*        font-size: 0.83vw;*/
/*        line-height: 1.04vw;*/
/*    }*/

/*    .form__btn-add{*/
/*        padding: 0.83vw 0;*/
/*        gap: 0.42vw;*/
/*        border-radius: 0.31vw;*/
/*        font-size: 0.83vw;*/
/*        line-height: 1.04vw;*/
/*        border: 0.05vw solid transparent;*/
/*    }*/

/*    .form__btn-add:hover{*/
/*        border: 0.05vw solid #0848C9;*/
/*    }*/

/*    .rating{*/
/*        gap: 0.83vw;*/
/*    }*/

/*    .rating__title{*/
/*        font-size: 1.04vw;*/
/*        line-height: 1.04vw;*/
/*    }*/

/*    .simple-rating{*/
/*        font-size: 1.25vw;*/
/*    }*/

/*    .input-error{*/
/*        font-size: 0.63vw;*/
/*        line-height: 0.83vw;*/
/*    }*/

/*    .error{*/
/*        border: 0.05vw solid #C1CBD7;*/
/*    }*/
/*}*/


.none{
    display: none;
}

